import { type Base, genBase } from "./_base"

export interface McuSubSrcCategory extends Base {
  code: string
  name: string
  mcuSrc_id: number
  item_id: number
}

export function genMcuSubSrcCategory(): McuSubSrcCategory {
  return {
    ...genBase(),
    code: '',
    name: '',
    mcuSrc_id: 0,
    item_id: 0
  }
}
